Resolves a list of place names (or addresses) to specific geospatial entities (e.g., places) on Google Maps.
HTTP request
POST https://mapstools.googleapis.com/v1alpha:resolveNames
The URL uses gRPC Transcoding syntax.
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "queries": [ { object ( |
| Fields | |
|---|---|
queries[] |
Required. A list of location queries to be resolved. You may specify up to 20 queries. |
locationBias |
Optional. An optional region to bias the resolution results. If specified, the resolution results will be biased towards the entities that are closer to this region. Including If both |
regionCode |
Optional. An optional region code to bias the resolution results. If specified, the resolution results will be biased towards the entities that are in or near the specified region. This should be a CLDR region code. For example, "US" or "CA". Including If both |
Response body
If successful, the response body contains an instance of ResolveNamesResponse.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/maps-platform.mapstools